import request from '@/utils/request'

// 查询员工工资记录列表
export function listRecordStaffSalary(query) {
  return request({
    url: '/mes/record/recordStaffSalary/list',
    method: 'get',
    params: query
  })
}

// 查询员工工资记录详细
export function getRecordStaffSalary(objId) {
  return request({
    url: '/mes/record/recordStaffSalary/' + objId,
    method: 'get'
  })
}

// 新增员工工资记录
export function addRecordStaffSalary(data) {
  return request({
    url: '/mes/record/recordStaffSalary',
    method: 'post',
    data: data
  })
}

// 修改员工工资记录
export function updateRecordStaffSalary(data) {
  return request({
    url: '/mes/record/recordStaffSalary',
    method: 'put',
    data: data
  })
}

// 删除员工工资记录
export function delRecordStaffSalary(objId) {
  return request({
    url: '/mes/record/recordStaffSalary/' + objId,
    method: 'delete'
  })
}

// 生成班组员工工资
export function selectTeamEmployeesWages(query) {
  return request({
    url: '/mes/record/recordStaffSalary/selectTeamEmployeesWages',
    method: 'get',
    params: query
  })
}

// 新增员工工资记录
export function uploadERPStaffSalary(data) {
  return request({
    url: '/mes/record/recordStaffSalary/uploadERPStaffSalary',
    method: 'post',
    data: data
  })
}
